{
  wayland.windowManager.hyprland.settings = {
    misc = {
      disable_hyprland_logo = true;
      disable_splash_rendering = true;
      focus_on_activate = true;
      anr_missed_pings = 3;
      new_window_takes_over_fullscreen = 1;
    };

    cursor = {
      no_hardware_cursors = true;
      no_break_fs_vrr = true;
      min_refresh_rate = 48;
    };

    render = {
      direct_scanout = true;
      cm_enabled = true;
    };

    plugin = {
      hyprsplit = {
        num_workspaces = 5;
        persistent_workspaces = false;
      };

      dynamic-cursors = {
        mode = "tilt";
        shake = {
          enabled = true;
          threshold = 4.0;
          factor = 1.5;
        };
      };

      overview = {
        # Using default settings
      };

      hyprbars = {
        bar_height = 24;
        bar_color = "$surface_container_high";
        bar_text_color = "$on_surface";
        bar_text_size = 0;
        bar_text_font = "Sans";
        bar_button_padding = 4;
        bar_padding = 8;
        bar_precedence_over_border = true;
        hyprbars-button = [
          "$error, 10, , hyprctl dispatch killactive"
          "$tertiary, 10, , hyprctl dispatch fullscreen 1"
        ];
      };
    };
  };
}
